package com.hzya.frame.sysnew.sendMessageLog.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SysSendMessageLog)实体类
 *
 * @author makejava
 * @since 2024-08-30 14:19:30
 */
public class SysSendMessageLogEntity extends BaseEntity {
 
  /**  公司id */
   private String companyId;
  /**  来源业务单据 */
   private String billId;
  /**  消息类型（1、系统消息、2、单据消息、3、钉钉、4微信、5短信、6、邮件） */
   private String type;
  /**  发送给谁（三方系统userID 钉钉微信、邮箱、手机号） */
   private String sendToUserId;
  /**  发送给系统内部人员ID */
   private String sendToPersonId;
  /**  消息内容 */
   private String sendCount;
  /**  发送时间 */
   private Date sendDatetime;
  /**  发送人Id */
   private String sendPersonId;
  /**  消息发送来源模块 */
   private String sourceModelName;
  /**  消息状态（0未读1已读） */
   private Integer state;
  /**  三方系统消息结果 */
   private String resultMessage;


    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSendToUserId() {
        return sendToUserId;
    }

    public void setSendToUserId(String sendToUserId) {
        this.sendToUserId = sendToUserId;
    }

    public String getSendToPersonId() {
        return sendToPersonId;
    }

    public void setSendToPersonId(String sendToPersonId) {
        this.sendToPersonId = sendToPersonId;
    }

    public String getSendCount() {
        return sendCount;
    }

    public void setSendCount(String sendCount) {
        this.sendCount = sendCount;
    }

    public Date getSendDatetime() {
        return sendDatetime;
    }

    public void setSendDatetime(Date sendDatetime) {
        this.sendDatetime = sendDatetime;
    }

    public String getSendPersonId() {
        return sendPersonId;
    }

    public void setSendPersonId(String sendPersonId) {
        this.sendPersonId = sendPersonId;
    }

    public String getSourceModelName() {
        return sourceModelName;
    }

    public void setSourceModelName(String sourceModelName) {
        this.sourceModelName = sourceModelName;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getResultMessage() {
        return resultMessage;
    }

    public void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

}

